View Issue Details

IDProjectCategoryView StatusLast Update
0003653FreeCADBugpublic2018-11-08 11:35
ReporterjbeichAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
Platformx86_64OSFreeBSDOS Version11.2
Product Version0.17 
Target Version0.18Fixed in Version0.18 
Summary0003653: Fails to build with Boost 1.69 (develop snapshot)
DescriptionAfter [url=https://github.com/boostorg/boost/pull/189]boostorg/boost#189[/url] build fails, see [url=https://ptpb.pw/CaF0]error log[/url] and [url=https://reviews.freebsd.org/differential/changeset/?ref=585402"]missing files[/url]
[code]
CMake Error at /usr/local/share/cmake/Modules/FindBoost.cmake:2049 (message):
  Unable to find the requested Boost libraries.

  Boost version: 1.69.0

  Boost include path: /usr/local/include

  Could not find the following Boost libraries:

          boost_signals

  Some (but not all) of the required Boost libraries were found. You may
  need to install these additional Boost libraries. Alternatively, set
  BOOST_LIBRARYDIR to the directory containing Boost libraries or BOOST_ROOT
  to the location of Boost.
Call Stack (most recent call first):
  CMakeLists.txt:590 (find_package)
[/code]
Note, Boost 1.69 is [url=https://www.boost.org/development/]scheduled[/url] to be released on 2018-12-12.
Steps To Reproduce[list=1]
[*]Install Boost 1.69 or later
[*]Try to build FreeCAD 0.17 tag or master (7ec3984cbe91) branch
[/list]
TagsNo tags attached.

Activities

Kunda1

2018-10-27 21:10

manager   ~0012098

Thanks for the heads up!
What has the boost_signals lib being deprecated in favor of ?

jbeich

2018-10-28 01:32

reporter   ~0012099

Boost.Signals2 ([url=https://www.boost.org/doc/libs/1_68_0/doc/html/signals2/api_changes.html#signals2.porting]porting guide[/url]). It's headers-only library.
This bustage is expected given...
[quote=Boost 1.68 [url=https://www.boost.org/users/history/version_1_68_0.html]release notes[/url]][b][url=https://www.boost.org/doc/libs/1_68_0/doc/html/signals.html]Signals[/url][/b]:[list][*][b]Removal Notice[/b]: Boost.Signals will be removed in the next release. Boost.Signals was deprecated in version 1.54.0. Transition to Boost.Signals2 now to avoid disruption[/quote]

Kunda1

2018-10-28 02:31

manager   ~0012100

Thanks jbeich!
Punting to wmayer.

wmayer

2018-10-30 18:10

administrator   ~0012120

https://github.com/FreeCAD/FreeCAD/commit/f898eafd64f88902ea1916b01303705b3baa2c46

jbeich

2018-11-03 04:32

reporter   ~0012130

[url=https://ptpb.pw/xgy2]Still fails[/url]:[code=cpp]src/App/DocumentObject.cpp:41:10: fatal error: 'boost/signals/connection.hpp' file not found
#include <boost/signals/connection.hpp>
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~[/code]

wmayer

2018-11-04 23:04

administrator   ~0012135

Should be fixed now

jbeich

2018-11-06 00:15

reporter   ~0012139

[url=https://ptpb.pw/iUfO]Still fails[/url]:[code=cpp]src/Mod/Part/Gui/DlgFilletEdges.cpp:46:11: fatal error: 'boost/signal.hpp' file not found
# include <boost/signal.hpp>
          ^~~~~~~~~~~~~~~~~~[/code]

Kunda1

2018-11-07 00:42

manager   ~0012140

Last edited: 2018-11-07 00:42

View 2 revisions

@wmayer in addition to ~12139 there is also
https://github.com/FreeCAD/FreeCAD/blob/master/src/Tools/embedded/Qt/cxx/PreCompiled.h#L14-L18
[code=cpp]
#include <boost/signal.hpp>
namespace boost
{
  namespace signalslib = signals;
}
[/code]

wmayer

2018-11-07 10:44

administrator   ~0012144

Last edited: 2018-11-07 13:26

View 2 revisions

I hope it works finally.

tracker editor: added https://github.com/FreeCAD/FreeCAD/commit/7fbd1c6bebdab544b3fbaa2028d460cd59469bd8

jbeich

2018-11-07 16:17

reporter   ~0012148

[url=https://ptpb.pw/QH6_]Builds fine[/url] now despite nonexistent <boost/signals.hpp> [url=https://github.com/FreeCAD/FreeCAD/blob/1d72ee43435fa099ae97a2f6e3d15a225d4f32d3/src/Mod/Assembly/Gui/TaskAssemblyConstraints.h#L32]still included[/url].

wmayer

2018-11-08 11:35

administrator   ~0012150

All references to boost.sognals are removed now.

Issue History

Date Modified Username Field Change
2018-10-27 02:59 jbeich New Issue
2018-10-27 21:10 Kunda1 Note Added: 0012098
2018-10-28 01:32 jbeich Note Added: 0012099
2018-10-28 02:30 Kunda1 Assigned To => wmayer
2018-10-28 02:30 Kunda1 Status new => assigned
2018-10-28 02:31 Kunda1 Target Version => 0.18
2018-10-28 02:31 Kunda1 Note Added: 0012100
2018-10-30 18:10 wmayer Status assigned => closed
2018-10-30 18:10 wmayer Resolution open => fixed
2018-10-30 18:10 wmayer Fixed in Version => 0.18
2018-10-30 18:10 wmayer Note Added: 0012120
2018-11-03 04:32 jbeich Status closed => feedback
2018-11-03 04:32 jbeich Resolution fixed => reopened
2018-11-03 04:32 jbeich Note Added: 0012130
2018-11-04 23:04 wmayer Note Added: 0012135
2018-11-06 00:15 jbeich Note Added: 0012139
2018-11-06 00:15 jbeich Status feedback => assigned
2018-11-07 00:42 Kunda1 Note Added: 0012140
2018-11-07 00:42 Kunda1 Note Edited: 0012140 View Revisions
2018-11-07 10:44 wmayer Note Added: 0012144
2018-11-07 13:26 Kunda1 Note Edited: 0012144 View Revisions
2018-11-07 16:17 jbeich Note Added: 0012148
2018-11-08 11:35 wmayer Status assigned => closed
2018-11-08 11:35 wmayer Note Added: 0012150